Skip to content

You Don’t Have Write Permissions For The /library/ruby/gems/2.6.0 Directory

The /Library/Ruby/Gems/2.6.0 directory is a system directory that is inaccessible to normal users, instead allowing system administrators and the root user access. This is done to protect the files inside of this directory from being changed or corrupted by non-system users.

As of Ruby 2.6.0, the default gem repository has been changed from RubyForge to GitHub. This requires a new configuration in order to use gems, which is why you may have run into issues when trying to update or install new gems.

You must have write permissions on the /Library/Ruby/Gems/2.6.0 directory in order to update your ruby environment using the gem command! Luckily, there are other ways to resolve this issue. This article will go more in depth about how to resolve this problem.

Type cd ~/Library/Ruby/Gems/2.6.0/

Now type ls -la, this will show you the permissions for the directory. If you see o755 at the bottom, you’re in the right place!

If not, go back to Finder and try another folder. You can also try using sudo gem install gem_name instead of sudo gem install gem_name to install your gem, it might work!

If all else fails, you can always use a different computer to download and install the gems you need. Or if you have enough computer storage space, you can download the files onto your own computer and use either File Roller or Terminal to unzip and install them.

Keep trying until you get it right! Once you do, re-install all of your favorite gems.

Type sudo chown -R apple-support ruby

The next step is to update the Ruby Gems. You can do this by typing sudo gem update –system.

This will update the internal database of gems and their dependencies. Once that is done, you need to install the chef-client gem again by typing:

sudo gem install chef-client –no-ri –no-rdoc

The sudo is required because this command needs to access your system gems, which are located in the /Library/Ruby/Gems/2.6.0 directory.

Type sudo chmod -R 755 ruby

Now you can type sudo gem install rails -v 5.0.0 and install the latest version of Rails! This is great because you did not have to downgrade any gems or worry about messed up dependencies.

If you ran into trouble when trying to update Rails, then try using this method to update it instead!

Rails updates pretty regularly, but sometimes the update can break some things depending on what was changed. Sometimes developers have to update external libraries that Rails depends on, which can cause problems.

Chapter 8 – Working with Databases in Rails

So far in this book, we’ve covered a lot of basic information about Ruby on Rails. Now it’s time to talk about one of the most important parts of developing web applications: databases!

This chapter will give an overview of how to work with databases in Ruby on Rails. We’ll start by discussing the different types of databases that you can use with Ruby on Rails, followed by an explanation of how to set up your development environment for working with these databases. We’ll then tackle some more advanced concepts such as migrations and testing your application against different environments.

Restart your Mac

If you have a problem with your Ruby gems, you can try to fix it yourself. The first thing you should do is update your gems via the terminal with the following command:

This will update all of your gems to the latest version that work with the current version of Ruby. If this does not solve your problem, then you can try updating each gem individually.

If you do not know how to do that, there are many resources available for you to learn. Google is one of my favorite sites for learning new things, so if you are looking for help with this part, look no further!

If none of that works, then I would suggest getting more help from more experienced people. You could visit a local computer store or find people online to help you.

Relaunch Safari and the extension should work

If the extension still does not work, try deleting it and downloading it again from the Chrome Web Store. If that does not work, try creating a new Apple ID to see if that fixes the issue.

If you have tried all of these and the extension still does not work, contact the developer as there may have been a bug fix that they need to include in the extension.

As a last resort, you can try re-installing macOS but keep in mind that this will erase everything on your computer. Make sure to back up your files first!

There are several things that can go wrong when installing an app or extension so be sure to check out other apps and extensions to see if there have been any problems.

nv-author-image

Harry Potter

Harry Potter, the famed wizard from Hogwarts, manages Premier Children's Work - a blog that is run with the help of children. Harry, who is passionate about children's education, strives to make a difference in their lives through this platform. He involves children in the management of this blog, teaching them valuable skills like writing, editing, and social media management, and provides support for their studies in return. Through this blog, Harry hopes to inspire others to promote education and make a positive impact on children's lives. For advertising queries, contact: support@techlurker.comView Author posts

Leave a Reply

Your email address will not be published. Required fields are marked *